Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513819 - [abrt] python-bugzilla-cli: main(): bugzilla:1108:main:RuntimeError: Unexpected action 'None'
Summary: [abrt] python-bugzilla-cli: main(): bugzilla:1108:main:RuntimeError: Unexpect...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-bugzilla
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9af788bb157746b796428787721...
: 1516305 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 03:05 UTC by Jan Vesely
Modified: 2018-08-24 08:03 UTC (History)
5 users (show)

Fixed In Version: python-bugzilla-2.2.0-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-24 08:03:40 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-16 03:05 UTC, Jan Vesely
no flags Details
File: cgroup (deleted)
2017-11-16 03:05 UTC, Jan Vesely
no flags Details
File: cpuinfo (deleted)
2017-11-16 03:05 UTC, Jan Vesely
no flags Details
File: environ (deleted)
2017-11-16 03:05 UTC, Jan Vesely
no flags Details
File: mountinfo (deleted)
2017-11-16 03:05 UTC, Jan Vesely
no flags Details
File: namespaces (deleted)
2017-11-16 03:05 UTC, Jan Vesely
no flags Details
File: open_fds (deleted)
2017-11-16 03:05 UTC, Jan Vesely
no flags Details

Description Jan Vesely 2017-11-16 03:05:15 UTC
Description of problem:
run bugzilla

Version-Release number of selected component:
python-bugzilla-cli-2.1.0-1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/bugzilla
crash_function: main
exception_type: RuntimeError
executable:     /usr/bin/bugzilla
kernel:         4.13.11-200.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
bugzilla:1108:main:RuntimeError: Unexpected action 'None'

Traceback (most recent call last):
  File "/usr/bin/bugzilla", line 1117, in <module>
    main()
  File "/usr/bin/bugzilla", line 1108, in main
    raise RuntimeError("Unexpected action '%s'" % action)
RuntimeError: Unexpected action 'None'

Local variables in innermost frame:
buglist: []
bz: <bugzilla.rhbugzilla.RHBugzilla object at 0x7f58c26dc3c8>
action: None
args: []
opt: Namespace(bugzilla='https://bugzilla.redhat.com/xmlrpc.cgi', bztype='auto', cache_credentials=True, command_name=None, cookiefile=None, debug=False, ensure_logged_in=False, login=False, password=None, sslverify=True, tokenfile=None, username=None, verbose=False)
parser: ArgumentParser(prog='bugzilla', usage=None, description=None, formatter_class=<class 'argparse.HelpFormatter'>, conflict_handler='error', add_help=True)
unittest_bz_instance: None

Comment 1 Jan Vesely 2017-11-16 03:05:21 UTC
Created attachment 1353194 [details]
File: backtrace

Comment 2 Jan Vesely 2017-11-16 03:05:22 UTC
Created attachment 1353195 [details]
File: cgroup

Comment 3 Jan Vesely 2017-11-16 03:05:23 UTC
Created attachment 1353196 [details]
File: cpuinfo

Comment 4 Jan Vesely 2017-11-16 03:05:25 UTC
Created attachment 1353197 [details]
File: environ

Comment 5 Jan Vesely 2017-11-16 03:05:26 UTC
Created attachment 1353198 [details]
File: mountinfo

Comment 6 Jan Vesely 2017-11-16 03:05:27 UTC
Created attachment 1353199 [details]
File: namespaces

Comment 7 Jan Vesely 2017-11-16 03:05:28 UTC
Created attachment 1353200 [details]
File: open_fds

Comment 8 Cole Robinson 2017-11-21 20:50:31 UTC
Thanks for the report, fixed upstream now. Since this is minor I'm just closing the bug, it'll be fixed with the next release and rebase

commit 3d87c290682f75ffad0657f498759526184f8a11
Author: Cole Robinson <crobinso@redhat.com>
Date:   Tue Nov 21 15:44:19 2017 -0500

    bin: Give consistent error with py3 if missing command (bz 1513819)
    
    There was a py3 behavior change here:
    https://stackoverflow.com/a/18283730
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513819

Comment 9 Reverend Homer 2017-11-22 12:49:04 UTC
*** Bug 1516305 has been marked as a duplicate of this bug. ***

Comment 10 Anatoli Babenia 2018-04-06 06:26:26 UTC
Similar problem has been detected:

Installed `python-bugzilla` packages as advised in
https://unix.stackexchange.com/questions/75820/debians-reportbug-equivalent-on-fedora-gnome
and
https://fedoraproject.org/wiki/Bugs_and_feature_requests#Command-line_interface
to report bugs from command line, and it crashed.

➜  ~ bugzilla            
Traceback (most recent call last):
  File "/usr/bin/bugzilla", line 1117, in <module>
    main()
  File "/usr/bin/bugzilla", line 1108, in main
    raise RuntimeError("Unexpected action '%s'" % action)
RuntimeError: Unexpected action 'None'

reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/bugzilla
crash_function: main
exception_type: RuntimeError
executable:     /usr/bin/bugzilla
kernel:         4.15.13-300.fc27.x86_64
package:        python-bugzilla-cli-2.1.0-2.fc27
reason:         bugzilla:1108:main:RuntimeError: Unexpected action 'None'
runlevel:       N 5
type:           Python3
uid:            1000

Comment 11 Anatoli Babenia 2018-04-06 06:43:09 UTC
It is not fixed yet for Fedora 27. What to do?

Comment 12 Cole Robinson 2018-04-06 14:31:31 UTC
It's just an error reporting issue. Your command line is invalid, you need to specify a complete command

Comment 13 Anatoli Babenia 2018-04-06 15:05:11 UTC
Shouldn't `bugzilla` command at least provide a little human readable help if it command line is invalid? I would expect from officially recommended command line tool to at least have command line help.

Comment 14 Cole Robinson 2018-04-06 15:11:04 UTC
Yes, that's the bug. But you can do the standard bugzilla --help to get that info as well

Comment 15 Anatoli Babenia 2018-04-09 15:24:43 UTC
Reported upstream - https://github.com/python-bugzilla/python-bugzilla/issues/68

So, should this issue hang open until fixed upstream?

Comment 16 Fedora End Of Life 2018-05-03 08:16:33 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2018-05-29 11:58:13 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 18 Fedora Update System 2018-08-11 14:30:28 UTC
python-bugzilla-2.2.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8368410b1a

Comment 19 Fedora Update System 2018-08-14 22:40:57 UTC
python-bugzilla-2.2.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8368410b1a

Comment 20 Fedora Update System 2018-08-24 08:03:40 UTC
python-bugzilla-2.2.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.